Subject: Re: linux-next: manual merge of the dmaengine tree with the dmaengine-fixes tree

From: Vinod Koul <[email-masked]>
Date: Wed, 5 Jan 2022 12:49:54 +0530

On 05-01-22, 10:04, Stephen Rothwell wrote:
> Hi Dave,
> 
> On Tue, 4 Jan 2022 14:41:00 -0700 Dave Jiang <[email-masked]> wrote:
> >
> > >>   +       */
> > >>   +      list_for_each_entry_safe(d, t, &flist, list) {
> > >>   +              list_del_init(&d->list);
> > >> -               complete_desc(d, IDXD_COMPLETE_NORMAL);
> > >> ++              idxd_dma_complete_txd(d, IDXD_COMPLETE_NORMAL, false);  
> > > Is "false" correct here?  
> > 
> > Hi Geert, took a closer look today. I believe it should be 'true'
> > here since this is a normal completion that needs to release the
> > descriptors. Sorry about the previous incorrect response.
> 
> I have updated my resolution from today.  Thanks for the feedback.

I have merged fixes into next as well, so this should not be required
tomorrow.

Dave pls test..

-- 
~Vinod